> ## Documentation Index
> Fetch the complete documentation index at: https://integrations.docs.commenda.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update sync config



## OpenAPI

````yaml /openapi_v4_core.json post /v4/core/organizations/sync-config
openapi: 3.0.0
info:
  title: Commenda Integrations V4 API
  description: Commenda Integrations — unified accounting, commerce, and CRM API.
  version: 4.0.0
  contact: {}
servers:
  - url: https://api.integrations.commenda.io
    description: Production
security:
  - api_key: []
tags: []
paths:
  /v4/core/organizations/sync-config:
    post:
      tags:
        - Organization
      summary: Update sync config
      operationId: OrganizationController_updateSyncConfig
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateOrgSyncConfigDTO'
      responses:
        '200':
          description: ''
components:
  schemas:
    UpdateOrgSyncConfigDTO:
      type: object
      properties:
        propagate:
          type: boolean
          example: false
        configs:
          minItems: 1
          type: array
          items:
            $ref: '#/components/schemas/WriteSyncConfigModel'
      required:
        - configs
    WriteSyncConfigModel:
      type: object
      properties:
        interval:
          type: number
          minimum: 1
          example: 1
        frequency:
          type: string
          enum:
            - WEEKLY
            - MONTHLY
            - YEARLY
            - DAILY
            - HOURLY
            - NEVER
          example: DAILY
        data_model:
          type: string
          enum:
            - ACCOUNT
            - BALANCE_SHEET
            - BANK_ACCOUNT
            - BANK_TRANSACTION
            - BILL
            - BILL_CREDIT_NOTE
            - BILL_PAYMENT
            - CASH_FLOW_STATEMENT
            - COMPANY_INFO
            - CONTACT
            - CURRENCY
            - DOCUMENT
            - EXPENSE
            - GOODS_RECEIPT_NOTE
            - INCOME_STATEMENT
            - INVOICE
            - INVOICE_CREDIT_NOTE
            - INVOICE_PAYMENT
            - ITEM
            - JOURNAL_ENTRY
            - JOURNAL_LINE
            - PROJECT
            - PURCHASE_ORDER
            - SALES_ORDER
            - ESTIMATE
            - TAX_RATE
            - TRACKING_CATEGORY
            - CASH_SALE
            - CASH_REFUND
            - BALANCE
            - DISPUTE
            - ORDER
            - PAYOUT
            - SUBSCRIPTION
            - TRANSACTION
            - EVENT
            - FULFILLMENT
            - INVENTORY
            - COMPANY
            - LEAD
            - OPPORTUNITY
            - PIPELINE
            - PIPELINE_STAGE
            - NOTE
            - TASK
            - OWNER
            - ENGAGEMENT
            - ADDRESS
            - EXTERNAL_LINK
            - LINE_ITEM
            - PHONE_NUMBER
            - VARIANT
          example: INVOICE
        category:
          type: string
          enum:
            - ACCOUNTING
            - PAYMENTS
            - ECOMMERCE
            - CRM
            - HRIS
          example: ACCOUNTING
        scope_access:
          $ref: '#/components/schemas/ScopeAccessModel'
        enabled:
          type: boolean
          example: true
        sync_from:
          type: string
          format: date-time
          nullable: true
          example: '2024-01-01T00:00:00Z'
      required:
        - frequency
        - data_model
        - category
        - scope_access
        - enabled
    ScopeAccessModel:
      type: object
      properties:
        READ:
          type: boolean
          example: true
        CREATE:
          type: boolean
          example: false
        UPDATE:
          type: boolean
          example: false
        DELETE:
          type: boolean
          example: false
      required:
        - READ
        - CREATE
        - UPDATE
        - DELETE
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: api_key
      description: Your Commenda Integrations API key, sent in the `api_key` header.

````